0

It seems that the most recent version in standard package managers is nodejs10. Is there any options to install nodejs13 or at least 12, or nvm?

None of instructions I found on the Internet worked for me, unfortunately.

My version is openSUSE Leap 15.1

1 Answer 1

0

Ok, here how I done it - the only option that seemed doable was building that from source, so according to https://github.com/nodejs/node/blob/master/BUILDING.md#building-nodejs-on-supported-platforms

  1. download source code from https://nodejs.org/en/download/current/
  2. unpack
  3. check that all build tools are in place: $ sudo zypper install python gcc-c++ make
  4. $ ./configure
  5. $ make -j4
  6. build some docs if you want it: $ make doc
  7. $ sudo make install

That's it

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.